#include <math.h>
#include <stdio.h>
#include <stdlib.h>

void usage() {
	printf("usage round <float>\n");
	exit(0);
}

int main(int argc, char *argv[]) {

	float f;
	long l;

	if (argc != 2) usage();
	f = atof(argv[1]);
	printf("roundf(%f) = %f\n", f, roundf(f));
	printf("lroundf(%f) = %ld\n", f, lround(f));
	return 0;
}
